Skip to content

amsdal-server 0.1.0

The API server is a RESTful API that allows you to perform CRUD operations on the data stored in the database. The API server is built using the FastAPI framework.

You can use AMSDAL CLI to run the development API server locally with amsdal serve command.

Authentication

By default, AMSDAL Server does not require authentication for API requests. You can enable authentication by setting permissions for your models.

See more details about Auth mechanism of AMSDAL Auth plugin here: AMSDAL Auth

In order to authorize you need to get token and put it into Authorization header.

Use the /api/objects/ to get token by user's email and password. For example, using cURL:

curl --location 'https://example.com/api/objects/?class_name=LoginSession' \
--header 'Content-Type: application/json' \
--data-raw '{
    "email": "myuser@example.com",
    "password": "myuserpassword"
}'

Note

Replace example.com domain to yours one.

After receiving token, you need to put it in Authorization header. For example:

Authorization: hSdjw1723bbdfFLqwJgah32

Filters

Some endpoints support filtering. You can filter the results by adding a query parameter filter to the URL.

To use filters, use the following syntax:

?filter[<field_name>__<field_type>]=<value>

where - field_name - the name of the field you want to filter by - field_type - filter operator

We support the following filter types:

  • eq - equal
  • neq - not equal
  • gt - greater than to value
  • gte - greater than or equal to value
  • lt - less than to value
  • lte - less than or equal to value
  • contains - contains the value (case sensitive)
  • startswith - starts with value (case sensitive)

Examples:

/classes/Person?filter[firstname__eq]=Employee
/classes/Person?filter[firstname__startswith]=Empl

Fields restrictions

In order to optimize requests, we want to omit some fields when querying for objects.

To do this, we should be able to optionally specify a fields[TYPE] field in the object request that will accept, separated by commas, the fields we want to receive from the server. TYPE - is the type of requested object, so in the common case it will be name of the requested class, or Metadata.

For example:

/classes/EmployeeProfile?include_metadata=true&fields[EmployeeProfile]=first_name,last_name&fields[Metadata]=address,version_id

All object fields with some metadata fields:

/classes/EmployeeProfile?fields[Metadata]=lakehouse_address

You can limit to only one field:

/classes/EmployeeProfile?fields[Metadata]=lakehouse_address&fields[EmployeeProfile]=first_name

Also, you can omit all the fields, just leave the values blank:

/classes/EmployeeProfile?fields[Metadata]=lakehouse_address&fields[EmployeeProfile]=

Classes


GET /api/classes/{class_name}/

Get Class

Input parameters

Parameter In Type Default Nullable Description
AmsdalAuth header string N/A No API key
cache_control query No Cache-Control max-age value
class_name path string No

Responses

{
    "class": "string",
    "properties": [
        {
            "type": null,
            "key": null,
            "label": null,
            "description": null,
            "order": null,
            "options": null,
            "validation": null,
            "column_format": null,
            "filters": null,
            "items": null,
            "read_only": null,
            "required": null,
            "value": null,
            "next_control": null,
            "head_control": null,
            "attributes": null,
            "array_type": null,
            "dict_type": null,
            "item_format": null
        }
    ],
    "count": 0
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "class": {
            "type": "string",
            "title": "Class"
        },
        "properties": {
            "items": {
                "$ref": "#/components/schemas/ColumnInfo"
            },
            "type": "array",
            "title": "Properties"
        },
        "count": {
            "type": "integer",
            "title": "Count",
            "default": 0
        }
    },
    "type": "object",
    "required": [
        "class",
        "properties"
    ],
    "title": "ClassInfo"
}

{
    "detail": [
        {
            "loc": [
                null
            ],
            "msg": "string",
            "type": "string",
            "input": null,
            "ctx": {}
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "detail": {
            "items": {
                "$ref": "#/components/schemas/ValidationError"
            },
            "type": "array",
            "title": "Detail"
        }
    },
    "type": "object",
    "title": "HTTPValidationError"
}

GET /api/classes/

Class List

Input parameters

Parameter In Type Default Nullable Description
AmsdalAuth header string N/A No API key
cache_control query No Cache-Control max-age value

Responses

{
    "columns": [
        {
            "type": null,
            "key": null,
            "label": null,
            "description": null,
            "order": null,
            "options": null,
            "validation": null,
            "column_format": null,
            "filters": null,
            "items": null,
            "read_only": null,
            "required": null,
            "value": null,
            "next_control": null,
            "head_control": null,
            "attributes": null,
            "array_type": null,
            "dict_type": null,
            "item_format": null
        }
    ],
    "rows": [
        null
    ],
    "total": 0
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "columns": {
            "items": {
                "$ref": "#/components/schemas/ColumnInfo"
            },
            "type": "array",
            "title": "Columns"
        },
        "rows": {
            "items": {},
            "type": "array",
            "title": "Rows"
        },
        "total": {
            "type": "integer",
            "title": "Total"
        }
    },
    "type": "object",
    "required": [
        "columns",
        "rows",
        "total"
    ],
    "title": "_ClassListResponse",
    "description": "Response for class list endpoint."
}

{
    "detail": [
        {
            "loc": [
                null
            ],
            "msg": "string",
            "type": "string",
            "input": null,
            "ctx": {}
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "detail": {
            "items": {
                "$ref": "#/components/schemas/ValidationError"
            },
            "type": "array",
            "title": "Detail"
        }
    },
    "type": "object",
    "title": "HTTPValidationError"
}

Objects


POST /api/objects/bulk-create/

Object Bulk Create

Input parameters

Parameter In Type Default Nullable Description
AmsdalAuth header string N/A No API key
class_name query string No
load_references query boolean False No

Request body

[
    {}
]
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the request body
{
    "type": "array",
    "items": {
        "type": "object",
        "additionalProperties": true
    },
    "title": "Data"
}

Responses

[
    {}
]
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "type": "array",
    "items": {
        "type": "object",
        "additionalProperties": true
    },
    "title": "Response Object Bulk Create Api Objects Bulk Create  Post"
}

{
    "detail": [
        {
            "loc": [
                null
            ],
            "msg": "string",
            "type": "string",
            "input": null,
            "ctx": {}
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "detail": {
            "items": {
                "$ref": "#/components/schemas/ValidationError"
            },
            "type": "array",
            "title": "Detail"
        }
    },
    "type": "object",
    "title": "HTTPValidationError"
}

PUT /api/objects/bulk-update/

Object Bulk Update

Input parameters

Parameter In Type Default Nullable Description
AmsdalAuth header string N/A No API key
load_references query boolean False No

Request body

[
    {
        "address": "string",
        "data": {}
    }
]
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the request body
{
    "type": "array",
    "items": {
        "$ref": "#/components/schemas/BulkUpdateBody"
    },
    "title": "Data"
}

Responses

Schema of the response body
{
    "title": "Response Object Bulk Update Api Objects Bulk Update  Put"
}

{
    "detail": [
        {
            "loc": [
                null
            ],
            "msg": "string",
            "type": "string",
            "input": null,
            "ctx": {}
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "detail": {
            "items": {
                "$ref": "#/components/schemas/ValidationError"
            },
            "type": "array",
            "title": "Detail"
        }
    },
    "type": "object",
    "title": "HTTPValidationError"
}

POST /api/objects/bulk-update/

Object Bulk Update

Input parameters

Parameter In Type Default Nullable Description
AmsdalAuth header string N/A No API key
load_references query boolean False No

Request body

[
    {
        "address": "string",
        "data": {}
    }
]
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the request body
{
    "type": "array",
    "items": {
        "$ref": "#/components/schemas/BulkUpdateBody"
    },
    "title": "Data"
}

Responses

Schema of the response body
{
    "title": "Response Object Bulk Update Api Objects Bulk Update  Post"
}

{
    "detail": [
        {
            "loc": [
                null
            ],
            "msg": "string",
            "type": "string",
            "input": null,
            "ctx": {}
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "detail": {
            "items": {
                "$ref": "#/components/schemas/ValidationError"
            },
            "type": "array",
            "title": "Detail"
        }
    },
    "type": "object",
    "title": "HTTPValidationError"
}

PATCH /api/objects/bulk-update/

Object Bulk Partial Update

Input parameters

Parameter In Type Default Nullable Description
AmsdalAuth header string N/A No API key
load_references query boolean False No

Request body

[
    {
        "address": "string",
        "data": {}
    }
]
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the request body
{
    "type": "array",
    "items": {
        "$ref": "#/components/schemas/BulkUpdateBody"
    },
    "title": "Data"
}

Responses

Schema of the response body
{
    "title": "Response Object Bulk Partial Update Api Objects Bulk Update  Patch"
}

{
    "detail": [
        {
            "loc": [
                null
            ],
            "msg": "string",
            "type": "string",
            "input": null,
            "ctx": {}
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "detail": {
            "items": {
                "$ref": "#/components/schemas/ValidationError"
            },
            "type": "array",
            "title": "Detail"
        }
    },
    "type": "object",
    "title": "HTTPValidationError"
}

POST /api/objects/bulk-delete/

Object Bulk Delete

Input parameters

Parameter In Type Default Nullable Description
AmsdalAuth header string N/A No API key

Request body

[
    {
        "address": "string"
    }
]
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the request body
{
    "items": {
        "$ref": "#/components/schemas/BulkAddressBody"
    },
    "type": "array",
    "title": "Data"
}

Responses

{
    "detail": [
        {
            "loc": [
                null
            ],
            "msg": "string",
            "type": "string",
            "input": null,
            "ctx": {}
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "detail": {
            "items": {
                "$ref": "#/components/schemas/ValidationError"
            },
            "type": "array",
            "title": "Detail"
        }
    },
    "type": "object",
    "title": "HTTPValidationError"
}

GET /api/objects/file-download/{object_id}/

File Download

Input parameters

Parameter In Type Default Nullable Description
AmsdalAuth header string N/A No API key
disposition_type query attachment No
height query No
object_id path string No
version_id query string No
width query No

Responses

Schema of the response body

{
    "detail": [
        {
            "loc": [
                null
            ],
            "msg": "string",
            "type": "string",
            "input": null,
            "ctx": {}
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "detail": {
            "items": {
                "$ref": "#/components/schemas/ValidationError"
            },
            "type": "array",
            "title": "Detail"
        }
    },
    "type": "object",
    "title": "HTTPValidationError"
}

GET /api/objects/download-file/

Download File

Input parameters

Parameter In Type Default Nullable Description
AmsdalAuth header string N/A No API key
disposition_type query attachment No
height query No
object_id query string No
version_id query string No
width query No

Responses

Schema of the response body

{
    "detail": [
        {
            "loc": [
                null
            ],
            "msg": "string",
            "type": "string",
            "input": null,
            "ctx": {}
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "detail": {
            "items": {
                "$ref": "#/components/schemas/ValidationError"
            },
            "type": "array",
            "title": "Detail"
        }
    },
    "type": "object",
    "title": "HTTPValidationError"
}

POST /api/objects/

Object Create

Input parameters

Parameter In Type Default Nullable Description
AmsdalAuth header string N/A No API key
class_name query string No
decrypt_pii query boolean False No
load_references query boolean False No

Request body

Schema of the request body
{
    "type": "object",
    "additionalProperties": true,
    "title": "Data"
}

Responses

Schema of the response body
{
    "type": "object",
    "additionalProperties": true,
    "title": "Response Object Create Api Objects  Post"
}

{
    "detail": [
        {
            "loc": [
                null
            ],
            "msg": "string",
            "type": "string",
            "input": null,
            "ctx": {}
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "detail": {
            "items": {
                "$ref": "#/components/schemas/ValidationError"
            },
            "type": "array",
            "title": "Detail"
        }
    },
    "type": "object",
    "title": "HTTPValidationError"
}

GET /api/objects/

Object List

Input parameters

Parameter In Type Default Nullable Description
AmsdalAuth header string N/A No API key
all_versions query boolean False No
cache_control query No Cache-Control max-age value
class_name query string No
decrypt_pii query boolean False No
file_optimized query boolean False No
include_metadata query boolean True No
include_subclasses query boolean False No
load_references query boolean False No
ordering query No
page query integer 1 No
page_size query No
select_related query No Comma-separated list of related fields to fetch

Responses

{
    "columns": [
        {
            "type": null,
            "key": null,
            "label": null,
            "description": null,
            "order": null,
            "options": null,
            "validation": null,
            "column_format": null,
            "filters": null,
            "items": null,
            "read_only": null,
            "required": null,
            "value": null,
            "next_control": null,
            "head_control": null,
            "attributes": null,
            "array_type": null,
            "dict_type": null,
            "item_format": null
        }
    ],
    "rows": [
        null
    ],
    "total": 0
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "columns": {
            "items": {
                "$ref": "#/components/schemas/ColumnInfo"
            },
            "type": "array",
            "title": "Columns"
        },
        "rows": {
            "items": {},
            "type": "array",
            "title": "Rows"
        },
        "total": {
            "type": "integer",
            "title": "Total"
        }
    },
    "type": "object",
    "required": [
        "columns",
        "rows",
        "total"
    ],
    "title": "_ObjectListResponse",
    "description": "Response for object list endpoint."
}

{
    "detail": [
        {
            "loc": [
                null
            ],
            "msg": "string",
            "type": "string",
            "input": null,
            "ctx": {}
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "detail": {
            "items": {
                "$ref": "#/components/schemas/ValidationError"
            },
            "type": "array",
            "title": "Detail"
        }
    },
    "type": "object",
    "title": "HTTPValidationError"
}

DELETE /api/objects/{address}/

Object Delete

Input parameters

Parameter In Type Default Nullable Description
AmsdalAuth header string N/A No API key
address path string No

Responses

{
    "detail": [
        {
            "loc": [
                null
            ],
            "msg": "string",
            "type": "string",
            "input": null,
            "ctx": {}
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "detail": {
            "items": {
                "$ref": "#/components/schemas/ValidationError"
            },
            "type": "array",
            "title": "Detail"
        }
    },
    "type": "object",
    "title": "HTTPValidationError"
}

GET /api/objects/{address}/

Object Detail

Input parameters

Parameter In Type Default Nullable Description
AmsdalAuth header string N/A No API key
address path string No
all_versions query boolean False No
cache_control query No Cache-Control max-age value
decrypt_pii query boolean False No
file_optimized query boolean False No
include_metadata query boolean True No
select_related query No Comma-separated list of related fields to fetch
version_id query string No

Responses

{
    "columns": [
        {
            "type": null,
            "key": null,
            "label": null,
            "description": null,
            "order": null,
            "options": null,
            "validation": null,
            "column_format": null,
            "filters": null,
            "items": null,
            "read_only": null,
            "required": null,
            "value": null,
            "next_control": null,
            "head_control": null,
            "attributes": null,
            "array_type": null,
            "dict_type": null,
            "item_format": null
        }
    ],
    "rows": [
        null
    ],
    "total": 0
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "columns": {
            "items": {
                "$ref": "#/components/schemas/ColumnInfo"
            },
            "type": "array",
            "title": "Columns"
        },
        "rows": {
            "items": {},
            "type": "array",
            "title": "Rows"
        },
        "total": {
            "type": "integer",
            "title": "Total"
        }
    },
    "type": "object",
    "required": [
        "columns",
        "rows",
        "total"
    ],
    "title": "_ObjectDetailResponse",
    "description": "Response for object detail endpoint."
}

{
    "detail": [
        {
            "loc": [
                null
            ],
            "msg": "string",
            "type": "string",
            "input": null,
            "ctx": {}
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "detail": {
            "items": {
                "$ref": "#/components/schemas/ValidationError"
            },
            "type": "array",
            "title": "Detail"
        }
    },
    "type": "object",
    "title": "HTTPValidationError"
}

PUT /api/objects/{address}/

Object Update

Input parameters

Parameter In Type Default Nullable Description
AmsdalAuth header string N/A No API key
address path string No
decrypt_pii query boolean False No
load_references query boolean False No

Request body

Schema of the request body
{
    "type": "object",
    "additionalProperties": true,
    "title": "Data"
}

Responses

Schema of the response body
{
    "title": "Response Object Update Api Objects  Address   Put"
}

{
    "detail": [
        {
            "loc": [
                null
            ],
            "msg": "string",
            "type": "string",
            "input": null,
            "ctx": {}
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "detail": {
            "items": {
                "$ref": "#/components/schemas/ValidationError"
            },
            "type": "array",
            "title": "Detail"
        }
    },
    "type": "object",
    "title": "HTTPValidationError"
}

POST /api/objects/{address}/

Object Update

Input parameters

Parameter In Type Default Nullable Description
AmsdalAuth header string N/A No API key
address path string No
decrypt_pii query boolean False No
load_references query boolean False No

Request body

Schema of the request body
{
    "type": "object",
    "additionalProperties": true,
    "title": "Data"
}

Responses

Schema of the response body
{
    "title": "Response Object Update Api Objects  Address   Post"
}

{
    "detail": [
        {
            "loc": [
                null
            ],
            "msg": "string",
            "type": "string",
            "input": null,
            "ctx": {}
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "detail": {
            "items": {
                "$ref": "#/components/schemas/ValidationError"
            },
            "type": "array",
            "title": "Detail"
        }
    },
    "type": "object",
    "title": "HTTPValidationError"
}

PATCH /api/objects/{address}/

Object Partial Update

Input parameters

Parameter In Type Default Nullable Description
AmsdalAuth header string N/A No API key
address path string No
decrypt_pii query boolean False No
load_references query boolean False No

Request body

Schema of the request body
{
    "type": "object",
    "additionalProperties": true,
    "title": "Data"
}

Responses

Schema of the response body
{
    "title": "Response Object Partial Update Api Objects  Address   Patch"
}

{
    "detail": [
        {
            "loc": [
                null
            ],
            "msg": "string",
            "type": "string",
            "input": null,
            "ctx": {}
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "detail": {
            "items": {
                "$ref": "#/components/schemas/ValidationError"
            },
            "type": "array",
            "title": "Detail"
        }
    },
    "type": "object",
    "title": "HTTPValidationError"
}

POST /api/objects/{address}/validate/

Object Validate

Input parameters

Parameter In Type Default Nullable Description
AmsdalAuth header string N/A No API key
class_name query string No

Request body

Schema of the request body
{
    "type": "object",
    "additionalProperties": true,
    "title": "Data"
}

Responses

{
    "detail": [
        {
            "loc": [
                null
            ],
            "msg": "string",
            "type": "string",
            "input": null,
            "ctx": {}
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "detail": {
            "items": {
                "$ref": "#/components/schemas/ValidationError"
            },
            "type": "array",
            "title": "Detail"
        }
    },
    "type": "object",
    "title": "HTTPValidationError"
}

Transactions


POST /api/transactions/{transaction_name}/

Transaction Execute

Input parameters

Parameter In Type Default Nullable Description
AmsdalAuth header string N/A No API key
transaction_name path string No

Request body

Schema of the request body
{
    "type": "object",
    "additionalProperties": true,
    "title": "Args"
}

Responses

Schema of the response body
{
    "title": "Response Transaction Execute Api Transactions  Transaction Name   Post"
}

{
    "detail": [
        {
            "loc": [
                null
            ],
            "msg": "string",
            "type": "string",
            "input": null,
            "ctx": {}
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "detail": {
            "items": {
                "$ref": "#/components/schemas/ValidationError"
            },
            "type": "array",
            "title": "Detail"
        }
    },
    "type": "object",
    "title": "HTTPValidationError"
}

GET /api/transactions/{transaction_name}/

Transaction Detail

Input parameters

Parameter In Type Default Nullable Description
AmsdalAuth header string N/A No API key
cache_control query No Cache-Control max-age value
transaction_name path string No

Responses

{
    "columns": [
        {
            "type": null,
            "key": null,
            "label": null,
            "description": null,
            "order": null,
            "options": null,
            "validation": null,
            "column_format": null,
            "filters": null,
            "items": null,
            "read_only": null,
            "required": null,
            "value": null,
            "next_control": null,
            "head_control": null,
            "attributes": null,
            "array_type": null,
            "dict_type": null,
            "item_format": null
        }
    ],
    "rows": [
        null
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "columns": {
            "items": {
                "$ref": "#/components/schemas/ColumnInfo"
            },
            "type": "array",
            "title": "Columns"
        },
        "rows": {
            "items": {},
            "type": "array",
            "title": "Rows"
        }
    },
    "type": "object",
    "required": [
        "columns",
        "rows"
    ],
    "title": "_TransactionDetailResponse",
    "description": "Response for transaction detail endpoint.\n\nNote: Does not include 'total' field.\nPlugin can extend to add 'control' field via registry."
}

{
    "detail": [
        {
            "loc": [
                null
            ],
            "msg": "string",
            "type": "string",
            "input": null,
            "ctx": {}
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "detail": {
            "items": {
                "$ref": "#/components/schemas/ValidationError"
            },
            "type": "array",
            "title": "Detail"
        }
    },
    "type": "object",
    "title": "HTTPValidationError"
}

GET /api/transactions/

Transaction List

Input parameters

Parameter In Type Default Nullable Description
AmsdalAuth header string N/A No API key
cache_control query No Cache-Control max-age value

Responses

{
    "columns": [
        {
            "type": null,
            "key": null,
            "label": null,
            "description": null,
            "order": null,
            "options": null,
            "validation": null,
            "column_format": null,
            "filters": null,
            "items": null,
            "read_only": null,
            "required": null,
            "value": null,
            "next_control": null,
            "head_control": null,
            "attributes": null,
            "array_type": null,
            "dict_type": null,
            "item_format": null
        }
    ],
    "rows": [
        null
    ],
    "total": 0
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "columns": {
            "items": {
                "$ref": "#/components/schemas/ColumnInfo"
            },
            "type": "array",
            "title": "Columns"
        },
        "rows": {
            "items": {},
            "type": "array",
            "title": "Rows"
        },
        "total": {
            "type": "integer",
            "title": "Total"
        }
    },
    "type": "object",
    "required": [
        "columns",
        "rows",
        "total"
    ],
    "title": "_TransactionListResponse",
    "description": "Response for transaction list endpoint."
}

{
    "detail": [
        {
            "loc": [
                null
            ],
            "msg": "string",
            "type": "string",
            "input": null,
            "ctx": {}
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "detail": {
            "items": {
                "$ref": "#/components/schemas/ValidationError"
            },
            "type": "array",
            "title": "Detail"
        }
    },
    "type": "object",
    "title": "HTTPValidationError"
}

Probes


GET /api/probes/liveness/

Liveness Probe

Input parameters

Parameter In Type Default Nullable Description
AmsdalAuth header string N/A No API key

Responses

Schema of the response body


GET /api/probes/readiness/

Readiness Probe

Input parameters

Parameter In Type Default Nullable Description
AmsdalAuth header string N/A No API key

Responses

Schema of the response body


Schemas

_ClassListResponse

Name Type Description
columns Array<ColumnInfo>
rows Array<>
total integer

_ObjectDetailResponse

Name Type Description
columns Array<ColumnInfo>
rows Array<>
total integer

_ObjectListResponse

Name Type Description
columns Array<ColumnInfo>
rows Array<>
total integer

_TransactionDetailResponse

Name Type Description
columns Array<ColumnInfo>
rows Array<>

_TransactionListResponse

Name Type Description
columns Array<ColumnInfo>
rows Array<>
total integer

BulkAddressBody

Name Type Description
address string

BulkUpdateBody

Name Type Description
address string
data

ClassInfo

Name Type Description
class string
count integer
properties Array<ColumnInfo>

ColumnFilter

Name Type Description
filters
label
name
tooltip

ColumnFormat

Name Type Description
cellTemplate
headerTemplate

ColumnInfo

Name Type Description
array_type
attributes
column_format
description
dict_type
filters
head_control
item_format
items
key
label
next_control
options
order
read_only
required
type
validation
value

DispositionType

Type: string

FieldFilter

Name Type Description
control FieldFilterControl
type string

FieldFilterControl

Name Type Description
key string
label
options
placeholder
type FieldFilterInputType
value

FieldFilterInputType

Type: string

HTTPValidationError

Name Type Description
detail Array<ValidationError>

Option

Name Type Description
key string
value string

ValidationError

Name Type Description
ctx
input
loc Array<>
msg string
type string

Validator

Name Type Description
data
name string

Security schemes

Name Type Scheme Description
AmsdalAuth apiKey